# RenewDisk

## 1. 接口描述

本接口(RenewDisk)用于恢复处于回收状态的云硬盘，使其重新可用。仅可恢复保留期内的已删除云硬盘，超出保留期后资源将被彻底销毁。

{% hint style="info" %}
**注意事项**

* 系统盘不支持该操作，系统盘随实例一起恢复。
* 如果账户余额不足，则恢复将会失败。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称   | 必选 | 类型     | 描述         |
| ------ | -- | ------ | ---------- |
| diskId | 是  | String | 要恢复的云硬盘ID。 |

## 3. 响应结果

| 参数名称      | 类型     | 描述                                                       |
| --------- | ------ | -------------------------------------------------------- |
| requestId | String | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 用户恢复云硬盘。**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: RenewDisk
<Common Request Params>

Request：
{
  "diskId": "your-disk-id"
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                                   | 说明              |
| ------- | ------------------------------------- | --------------- |
| 404     | INVALID\_DISK\_NOT\_FOUND             | 云盘不存在。          |
| 400     | OPERATION\_DENIED\_DISK\_SYSTEM\_TYPE | 云盘类型是系统盘不支持该操作。 |
| 400     | UNSUPPORTED\_OPERATION\_DISK\_STATUS  | 云盘状态不允许操作。      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/compute/zec/disk/renewdisk.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
